VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::vcenter::Activation Interface Reference

The `Activation` interface provides methods for tasks cancelation. More...

Inherited by vmware::vapi::vcenter::ActivationStub.

List of all members.

## Public Member Functions
void | Cancel (string activationId)
| Sends a request to cancel the task associated with the provided activationId .
void | Cancel (string activationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Sends a request to cancel the task associated with the provided activationId .
global::System.Threading.Tasks.Task | CancelAsync (string activationId)
| Sends a request to cancel the task associated with the provided activationId .
global::System.Threading.Tasks.Task | CancelAsync (string activationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Sends a request to cancel the task associated with the provided activationId .

## Detailed Description

The `Activation` interface provides methods for tasks cancelation.

## Member Function Documentation

void vmware::vapi::vcenter::Activation::Cancel | ( | string | activationId | ) |

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .

Implemented in vmware::vapi::vcenter::ActivationStub.

void vmware::vapi::vcenter::Activation::Cancel | ( | string | activationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::vcenter::ActivationStub.

global::System.Threading.Tasks.Task vmware::vapi::vcenter::Activation::CancelAsync | ( | string | activationId | ) |

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .

Implemented in vmware::vapi::vcenter::ActivationStub.

global::System.Threading.Tasks.Task vmware::vapi::vcenter::Activation::CancelAsync | ( | string | activationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vapi::vcenter::ActivationStub.

The documentation for this interface was generated from the following file:

- Activation.cs